Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.ST.MatMode

class slepc4py.SLEPc.ST.MatMode

  Bases: `object`

  ST matrix mode.

  - `COPY`: A working copy of the matrix is created.

  - `INPLACE`: The operation is computed in-place.

  - `SHELL`: The matrix \(A - \sigma B\) is handled as an

      implicit matrix.

  Attributes Summary

  `COPY` | Constant `COPY` of type `int`
  `INPLACE` | Constant `INPLACE` of type `int`
  `SHELL` | Constant `SHELL` of type `int`

  Attributes Documentation

  COPY: int = COPY

    Constant `COPY` of type `int`

  INPLACE: int = INPLACE

    Constant `INPLACE` of type `int`

  SHELL: int = SHELL

    Constant `SHELL` of type `int`